%define oname	mozvoikko

%define tb_extdir %{_datadir}/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}
%define iceape_extdir %{_datadir}/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}

Summary:	Finnish spell-checking extension for Mozilla applications
Name:		firefox-ext-mozvoikko
Version:	2.0.1
Release:	%mkrel 10
License:	GPLv2+
Group:		Networking/WWW
URL:		http://voikko.sourceforge.net/
Source:		http://downloads.sourceforge.net/voikko/%oname-%version.tar.gz
BuildRequires:	zip
BuildRequires:	pkgconfig(mozilla-plugin)
BuildArch:	noarch
Provides:	%{oname} = %{version}-%{release}
Requires:	libvoikko >= 1.7
Requires:	voikko-fi
Requires:	locales-fi

%description
Finnish spell-checking extension for Firefox, Thunderbird and Iceape. The
spell-checking is provided by the Voikko library.

%prep
%setup -q -n %oname-%version
sed -i "s|<em:maxVersion>[^<]*</em:maxVersion>|<em:maxVersion>*</em:maxVersion>|g" install.rdf

%build
%make

%install
mkdir -p %{buildroot}%{firefox_extdir}
hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi

install -d -m0755 %{buildroot}%{firefox_extdir}/$hash
unzip *.xpi -d %{buildroot}%{firefox_extdir}/$hash

for dir in %{tb_extdir} %{iceape_extdir}; do
    install -d -m0755 %{buildroot}$dir
    ln -s %{firefox_extdir}/$hash %{buildroot}$dir/$hash
done

%files
%doc ChangeLog
# own these directories as any one of them may not be installed -Anssi
%{firefox_extdir}
%{tb_extdir}
%{iceape_extdir}



%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2.0.1-10.mga8
+ Revision: 1512307
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-9.mga7
+ Revision: 1297703
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 2.0.1-7.mga6
+ Revision: 932562
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-6.mga5
+ Revision: 748720
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.1-5.mga5
+ Revision: 726239
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-4.mga5
+ Revision: 679206
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 504467
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 350417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ anssi <anssi>
- add Provides for the upstream name "mozvoikko"

* Sun Feb 12 2012 anssi <anssi> 2.0.1-1.mga2
+ Revision: 208199
- new version 2.0.1
- drop maxVersion from install.rdf, it is no longer dropped by Makefile
- install the extension as unzipped
- install the extension also for thunderbird and iceape (via symlink),
  and drop the requirement on firefox

* Wed Dec 21 2011 fwang <fwang> 2.0-1.mga2
+ Revision: 185415
- br zip
- upload tarball
- new version 2.0 (js based)

* Tue Sep 06 2011 fwang <fwang> 1.10.0-4.mga2
+ Revision: 139031
- drop cheat on ff version, not needed
- install into systemwide ff ext dir

* Mon Sep 05 2011 fwang <fwang> 1.10.0-3.mga2
+ Revision: 138564
- support ff6

* Wed Aug 31 2011 anssi <anssi> 1.10.0-2.mga2
+ Revision: 137272
- remove firefox version number from description

* Wed Aug 31 2011 anssi <anssi> 1.10.0-1.mga2
+ Revision: 137248
- remove firefox version from summary
- new version
- fix build with current xulrunner
- use %%ldflags
- imported package firefox-ext-mozvoikko


* Mon Jul 26 2010 Thomas Backlund <tmb@mandriva.org> 1.0.1-3mdv2011.0
+ Revision: 560877
- rebuild for new firefox

* Mon Jun 28 2010 Thomas Backlund <tmb@mandriva.org> 1.0.1-2mdv2010.1
+ Revision: 549314
- rebuild for firefox 3.6.6

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 540550
- new version
- drop xulrunner-1.9.2.patch (one hunk fixed upstream, other one added as
  a variable in make call instead

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0-15mdv2010.1
+ Revision: 539578
- rebuild so that shared libraries are properly stripped again

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0-14mdv2010.1
+ Revision: 539577
- rebuild so that shared libraries are properly stripped again

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-13mdv2010.1
+ Revision: 532786
- revert the last change

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-12mdv2010.1
+ Revision: 532635
- don't provide empty debug package

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 1.0-11mdv2010.1
+ Revision: 531076
- rebuild

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 1.0-10mdv2010.1
+ Revision: 526989
- rebuild

* Sat Jan 23 2010 Funda Wang <fwang@mandriva.org> 1.0-9mdv2010.1
+ Revision: 495182
- build with ff 3.6

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 1.0-8mdv2010.1
+ Revision: 479189
- rebuild for new ff

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1.0-7mdv2010.1
+ Revision: 462795
- rebuild for new ff

* Wed Sep 16 2009 Funda Wang <fwang@mandriva.org> 1.0-6mdv2010.0
+ Revision: 443379
- fix BR
- rebuild for new ff

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0-5mdv2010.0
+ Revision: 417658
- buildrequiring xulrunner-devel seems enough for firefox 3.5 / xulrunner 1.9.1
- make use of the firefox package macros
- rebuild for firefox 3.5.2

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.0-4mdv2010.0
+ Revision: 410507
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org> 1.0-3mdv2010.0
+ Revision: 405031
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 1.0-2mdv2010.0
+ Revision: 385775
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.0
+ Revision: 369612
- New version 1.0

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.6-2mdv2009.1
+ Revision: 361852
- rebuild for firefox 3.0.8

* Thu Mar 12 2009 Funda Wang <fwang@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 354100
- BR ff
- BR unstable
- New version 0.9.6

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 0.9.5-7mdv2009.1
+ Revision: 337340
- rebuild for new ff

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.9.5-6mdv2009.1
+ Revision: 318910
- rebuild for new firefox

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.9.5-5mdv2009.1
+ Revision: 303684
- rebuild for new FF

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 0.9.5-4mdv2009.0
+ Revision: 289186
- rebuild for new FF

* Sat Sep 27 2008 Anssi Hannula <anssi@mandriva.org> 0.9.5-3mdv2009.0
+ Revision: 288949
- rebuild for new firefox

* Wed Aug 20 2008 Funda Wang <fwang@mandriva.org> 0.9.5-2mdv2009.0
+ Revision: 274319
- add inc dir
- rebuild for new xulrunner

* Wed Jun 18 2008 Anssi Hannula <anssi@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 226061
- initial Mandriva release

